/[pub]/test/html-webhacc/cc-style.css
Suika

Diff of /test/html-webhacc/cc-style.css

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

revision 1.22 by wakaba, Sun Aug 10 11:49:43 2008 UTC revision 1.24 by wakaba, Thu Aug 14 09:16:52 2008 UTC
# Line 431  mark { Line 431  mark {
431    
432  /* Tab navigation */  /* Tab navigation */
433    
434  h1 {  body[data-scripted] > h1,
435    body[data-scripted] > #input > h2,
436    body[data-scripted] .section.subdoc > h2,
437    body[data-scripted] .section.subdoc > h3,
438    body[data-scripted] .section.subdoc > h4,
439    body[data-scripted] .section.subdoc > h5,
440    body[data-scripted] .section.subdoc > h6 {
441    float: left;    float: left;
442    font-size: 100%;    font-size: 100%;
443      margin: 0;
444    padding: 0 1em;    padding: 0 1em;
445  }  }
446    
447    body[data-scripted] > #input > h2,
448    body[data-scripted] .section.subdoc > h2,
449    body[data-scripted] .section.subdoc > h3,
450    body[data-scripted] .section.subdoc > h4,
451    body[data-scripted] .section.subdoc > h5,
452    body[data-scripted] .section.subdoc > h6 {
453      margin-right: 1em;
454      padding: 0.3em 0;
455      border: thin hidden;
456      background-color: transparent;
457      color: inherit;
458    }
459    
460  nav {  nav {
461    display: block;    display: block;
462      z-index: 100;
463    }
464    
465    .section nav {
466      margin-left: 1em;
467  }  }
468    
469  nav ul {  nav ul {
# Line 446  nav ul { Line 471  nav ul {
471    padding: 1em 0 0 0;    padding: 1em 0 0 0;
472  }  }
473    
474    #input nav ul,
475    .section.subdoc nav ul {
476      padding-top: 0;
477    }
478    
479  nav ul li {  nav ul li {
480    display: inline;    display: inline;
481    margin: 0;    margin: 0;
# Line 473  nav [data-active] a { Line 503  nav [data-active] a {
503    clear: both;    clear: both;
504  }  }
505    
506  body[data-scripted] > .section {  body[data-scripted] > .section,
507    body[data-scripted] > #input > .section,
508    body[data-scripted] .section.subdoc > .section {
509    position: absolute;    position: absolute;
510    top: 120px; /* h1 > img's height is 90px */    top: 100px; /* h1 > img's height is 90px */
511    bottom: 0;    bottom: 0;
512    left: 0;    left: 0;
513    right: 0;    right: 0;
514      min-height: 10em;
515    overflow: auto;    overflow: auto;
516  }  }
517    
518    body[data-scripted] > #input > .section,
519    body[data-scripted] .section.subdoc > .section {
520      top: 2em;
521    }
522    
523    /* details widgets */
524    
525    .details .legend {
526      font-weight: bolder;
527    }
528    
529    .details .legend:after {
530      content: "...";
531    }
532    
533    .details.open .legend:after,
534    body:not([data-scripted]) .details.default .legend:after {
535      content: ":";
536    }
537    
538    body[data-scripted] .details .legend {
539      cursor: pointer;
540    }
541    
542    body[data-scripted] .details > div {
543      display: none;
544    }
545    
546    /* Data input forms */
547    
548    input[type=url] {
549      width: 90%;
550      min-width: 30em;
551    }
552    
553    textarea {
554      width: 95%;
555      min-width: 30em;
556      height: 20em;
557    }
558    
559  /*  /*
560    
561  Copyright 2007-2008 Wakaba <[email protected]>.  Copyright 2007-2008 Wakaba <[email protected]>.

Legend:
Removed from v.1.22  
changed lines
  Added in v.1.24

[email protected]
ViewVC Help
Powered by ViewVC 1.1.24